For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETList tests
          • GETGet test
          • POSTCreate test
          • PUTUpdate test
          • DELDelete test
          • POSTGet test summaries
          • POSTRun tests on agent
            • GETGet test invocation
            • POSTResubmit test invocation
            • GETList test invocations
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceTestsTest Invocations

Resubmit test invocation

POST
/v1/convai/test-invocations/:test_invocation_id/resubmit
POST
/v1/convai/test-invocations/:test_invocation_id/resubmit
$curl -X POST https://api.elevenlabs.io/v1/convai/test-invocations/test_invocation_id/resubmit \
> -H "Content-Type: application/json" \
> -d '{
> "test_run_ids": [
> "string"
> ],
> "agent_id": "string"
>}'
Resubmits specific test runs from a test invocation.
Was this page helpful?
Previous

List test invocations

Next
Built with

Path parameters

test_invocation_idstringRequired
The id of a test invocation. This is returned when tests are run.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
test_run_idslist of stringsRequired
List of test run IDs to resubmit
agent_idstringRequired
Agent ID to resubmit tests for
agent_config_overrideobject or nullOptional
Configuration overrides to use for testing. If not provided, the agent's default configuration will be used.
branch_idstring or nullOptional
ID of the branch to run the tests on. If not provided, the tests will be run on the agent default configuration.

Response

Successful Response

Errors

422
Unprocessable Entity Error